Manages terminal server settings for Samba 3.

author | Cajus Pollmeier
package | modules

### Methods

## Takes a base64-encoded MungedDial-String and returns an array of included parameters and values

    decode_munged($munge)

### Parameters

#### $munge

## Encode full MungedDial-String

    encode_munged($params)

### Parameters

#### $params

## endian

    endian($src)

### Parameters

#### $src

## genTime

    genTime($minutes)

### Parameters

#### $minutes

## gets Broken-Connection value: disconnect/reset

    getBrokenConn()

## gets connect-client-drive-at-logon value: enabled/disabled

    getConnectClientDrives()

## gets connect-client-printers-at-logon value: enabled/disabled

    getConnectClientPrinters()

## SMARTY: gets the checkbox state of "Connection"

    getCtxMaxConnectionTimeF()

## SMARTY: gets the checkbox state of "Disconnection"

    getCtxMaxDisconnectionTimeF()

## SMARTY: gets the checkbox state of "Idle"

    getCtxMaxIdleTimeF()

## gets set-client-printer-to-default value: enabled/disabled

    getDefaultPrinter()

## gets Inherit-config-from-client value: enabled/disabled

    getInheritMode()

## Returns ready-to-run mungedDialString to be filled into ldap

    getMunged()

## Returns array of flags, which can be set on-demand with activated java-script

    getOnDemandFlags()

## gets Reconnection value: from any client/from previous client only

    getReConn()

## gets shadow value (enum): 0-4 0: disabled 1: input on, notify on 2: input on, notify off 3: input off, notify on 4: input off, notify off

    getShadow()

## Gets Terminal-Server-Login value: enabled/disabled

    getTsLogin()

## hexstr

    hexstr($hex)

### Parameters

#### $hex

## Checks if this is a valid Samba path.

    is_samba_path($path)

### Parameters

#### $path

## function takes a base64-encoded sambaMungedDial

    load($mungedDial)

### Parameters

#### $mungedDial

## Setup parameter given by paramName to MungedDial-Format

    munge($paramName, $paramValue, $isString)

### Parameters

#### $paramName

#### $paramValue

#### $isString

## readTime

    readTime($time)

### Parameters

#### $time

## sets Broken-Connection value: disconnect/reset

    setBrokenConn($checked)

### Parameters

#### $checked

## sets connect-client-drive-at-logon value: enabled/disabled

    setConnectClientDrives($checked)

### Parameters

#### $checked

## sets connect-client-printers-at-logon value: enabled/disabled

    setConnectClientPrinters($checked)

### Parameters

#### $checked

## SMARTY: sets the checkbox "Connection" to unchecked

    setCtxMaxConnectionTimeF($checked)

### Parameters

#### $checked

## SMARTY: sets the checkbox "Disconnection" to unchecked

    setCtxMaxDisconnectionTimeF($checked)

### Parameters

#### $checked

## SMARTY: sets the checkbox "Idle" to unchecked

    setCtxMaxIdleTimeF($checked)

### Parameters

#### $checked

## sets set-client-printer-to-default value: enabled/disabled

    setDefaultPrinter($checked)

### Parameters

#### $checked

## sets Inherit-config-from-client value: enabled/disabled

    setInheritMode($checked)

### Parameters

#### $checked

## sets Reconnection value: from any client/from previous client only

    setReConn($checked)

### Parameters

#### $checked

## sets shadow value

    setShadow($checked, $value)

### Parameters

#### $checked

#### $value

## Sets Terminal-Server-Login value: enabled/disabled

    setTsLogin($checked)

### Parameters

#### $checked

## strhex

    strhex($string)

### Parameters

#### $string

## to8bit

    to8bit($string)

### Parameters

#### $string

### Properties

## $ctx

    $ctx

## $ctxattributes

    $ctxattributes

## $old_behavior

    $old_behavior

## $stringParams

    $stringParams

## $timeParams

    $timeParams